# Un excellent outil de travail

Un point fort des Jupyter Notebooks est leur polyvalence. Depuis l'interface d'édition, un clic suffit à convertir un notebook en page web, PDF, document LaTeX, ou en [markdown](https://fr.wikipedia.org/wiki/Markdown) (un langage de balisage léger). Il est également possible de projeter un notebook en mode présentation (avec le navigateur en plein écran).

Un autre aspect intéressant de l'outil est sa flexibilité. Orienté web et reposant sur des standards ouverts, les notebooks peuvent évoluer rapidement et s'intégrer dans diverses environnements. A l'origine, il ne s'agit pas d'un outil de rédaction collaborative. Mais, plusieurs évolutions vont dans ce sens:
- la plateforme collaborative [SageMath](https://cloud.sagemath.com/) permet l'édition collaborative de notebooks, voir [cette video](https://www.youtube.com/watch?v=sDBbt8U4aJw).
- l'outil [coLaboratory](http://colaboratory.jupyter.org/welcome/) , un logiciel libre reposant sur Google Drive, permet de synchroniser les notebooks en temps rééel,
- le logiciel [Escherpad](https://github.com/escherpad) que l'on peut installer sur son serveur personnel ou institutionnel,
- les geeks peuvent aussi s'appuyer directement sur le puissant logiciel de gestion de code [Git](https://fr.wikipedia.org/wiki/Git).

De par leur nature interactive, les notebooks constituent par ailleurs un excellent outil de développement informatique. Dans cet environnement, un programme peut être développé pas à pas, et l'auteur reçoit immédiatement un feedback précieux à chaque étape. Pour mettre les choses en perspective, les Jupyter Notebooks sont particulièrement appréciés par les analystes de données. Divers ouvrages d'introduction existent sur le sujet (voir ci-dessous).

En résumé, les Jupyter Notebook sont des outils universels. Ils regroupent à la fois les fonctionnalités d'un traitement de texte, d'un tableur (et plus encore: analyse de données...), d'une plateforme de publication web, et d'un logiciel de présentation. Cet article a par exemple été rédigé avec Authorea, une plateforme d'édition collaborative compatible Jupyter.
